import { useI18n } from "vue-i18n";
import type { ServiceItem } from "~/types/Tabs";

export const useMobileServicesData = () => {
  const { t } = useI18n();
  const servicesData = computed<ServiceItem[]>(() => [
    {
      value: "mobile-app-development",
      title: t("mobileServices.0.title"),
      content: {
        title: t("mobileServices.0.content.title"),
        description: t("mobileServices.0.content.description"),
        features: [
          { text: t("mobileServices.0.content.features.0.text") },
          { text: t("mobileServices.0.content.features.1.text") },
          { text: t("mobileServices.0.content.features.2.text") },
        ],
      },
    },
    {
      value: "project-requirements-document",
      title: t("mobileServices.1.title"),
      content: {
        title: t("mobileServices.1.content.title"),
        description: t("mobileServices.1.content.description"),
        features: [
          { text: t("mobileServices.1.content.features.0.text") },
          { text: t("mobileServices.1.content.features.1.text") },
          { text: t("mobileServices.1.content.features.2.text") },
        ],
      },
    },
    {
      value: "testing-and-analysis",
      title: t("mobileServices.2.title"),
      content: {
        title: t("mobileServices.2.content.title"),
        description: t("mobileServices.2.content.description"),
        features: [
          { text: t("mobileServices.2.content.features.0.text") },
          { text: t("mobileServices.2.content.features.1.text") },
          { text: t("mobileServices.2.content.features.2.text") },
        ],
      },
    },
    {
      value: "maintenance-and-support-services",
      title: t("mobileServices.3.title"),
      content: {
        title: t("mobileServices.3.content.title"),
        description: t("mobileServices.3.content.description"),
        features: [
          { text: t("mobileServices.3.content.features.0.text") },
          { text: t("mobileServices.3.content.features.1.text") },
          { text: t("mobileServices.3.content.features.2.text") },
        ],
      },
    },
    {
      value: "tech-consulting",
      title: t("mobileServices.4.title"),
      content: {
        title: t("mobileServices.4.content.title"),
        description: t("mobileServices.4.content.description"),
        features: [
          { text: t("mobileServices.4.content.features.0.text") },
          { text: t("mobileServices.4.content.features.1.text") },
          { text: t("mobileServices.4.content.features.2.text") },
        ],
      },
    },
    {
      value: "software-outsourcing",
      title: t("mobileServices.5.title"),
      content: {
        title: t("mobileServices.5.content.title"),
        description: t("mobileServices.5.content.description"),
        features: [
          { text: t("mobileServices.5.content.features.0.text") },
          { text: t("mobileServices.5.content.features.1.text") },
          { text: t("mobileServices.5.content.features.2.text") },
        ],
      },
    },
  ]);
  return {
    servicesData,
  };
};
